<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <section name="log4net" type="log4net.Config.Log4NetConfigurationSectionHandler, log4net" processFilters="true" />
  </configSections>

  <log4net>
    <root>
      <level value="INFO" />
      <appender-ref value="RollingFileAppender" />
    </root>
    <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <!-- 将日志分等级滚动，按时间与大小混合滚动 -->
      <file value="logs/simulator-" />
      <datePattern value="yyyy-MM-dd'.log'" />
      <rollingStyle value="Composite" />
      <MaxSizeRollBackups value="10" />
      <MaximumFileSize value="50MB" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="[%date %-5level] %message%newline" />
      </layout>
    </appender>
  </log4net>

</configuration>
